# norootforbuild

Name:		varnish
Version:	1.1.2
Release:	9.1
#
License:	BSD
Group:		Productivity/Networking/Web/Proxy
#
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	ncurses-devel libxslt
Requires:	gcc
%define _bindir      %{_sbindir}
%define pkg_home     %{_var}/lib/%{name}
%define pkg_logdir   %{_var}/log/%{name}
%define pkg_cachedir %{_var}/cache/%{name}
%define pkg_name     %{name}
#
URL:		http://www.varnish-cache.org/
Source:		http://downloads.sourceforge.net/varnish/varnish-%{version}.tar.bz2
Source1:	upstream-config.tar.bz2
Source2:	varnish.init
Source3:	varnish.sysconfig
Patch100:	bin__varnishd__cache_acceptor_epoll.c.patch
#Patch:		varnish-1.1_destdir.patch
#
Summary: Varnish is a high-performance HTTP accelerator
%description
Varnish is an HTTP accelerator. An HTTP accelerator (often called Reverse
Proxy) is an application that stores (caches) documents that have been
requested over the HTTP protocol.

Based on certain criteria the next client requesting the document is either
given the cached document, or a "fresh" document requested from a backend
server. The purpose of this is to minimize the requests going to the backend
server(s) by serving the same document to potentially many users.


Authors:
--------
    Poul-Henning Kamp <phk@phk.freebsd.dk>


%package -n libvarnish0
Group: Productivity/Networking/Web/Proxy
#
Summary: Shared libraries for Varnish
%description -n libvarnish0
Varnish is an HTTP accelerator. An HTTP accelerator (often called Reverse
Proxy) is an application that stores (caches) documents that have been
requested over the HTTP protocol.

Based on certain criteria the next client requesting the document is either
given the cached document, or a "fresh" document requested from a backend
server. The purpose of this is to minimize the requests going to the backend
server(s) by serving the same document to potentially many users.


This package holds the shared libraries for varnish.


Authors:
--------
    Poul-Henning Kamp <phk@phk.freebsd.dk>


%package devel
Group: Development/Libraries/C and C++
Requires: %{name} = %{version}
#
Summary: Development files for Varnish
%description devel
Varnish is an HTTP accelerator. An HTTP accelerator (often called Reverse
Proxy) is an application that stores (caches) documents that have been
requested over the HTTP protocol.

Based on certain criteria the next client requesting the document is either
given the cached document, or a "fresh" document requested from a backend
server. The purpose of this is to minimize the requests going to the backend
server(s) by serving the same document to potentially many users.


This package holds the development files for varnish.


Authors:
--------
    Poul-Henning Kamp <phk@phk.freebsd.dk>


%debug_package
%prep
%setup -a1
%patch100
#%patch
#sed -e ' s/8080/80/g ' etc/vcl.conf > redhat/vcl.conf
touch AUTHORS COPYING NEWS

%build
#./autogen.sh
# autogen.sh restricts us to automake 1.9
# but 1.8.3 on sles9 seems to work aswell.
autoreconf -fi
%if 0%{?suse_version} > 1000
export CFLAGS="%{optflags} -fstack-protector"
%endif
%configure --disable-static --localstatedir=%{_var}/cache/ \
           --enable-debugging-symbols \
           --enable-developer-warnings
%{__make}

%install
%makeinstall
find %{buildroot} -ls
#
# remove unneeded files
# libvarnish.la has -lrt as dependency lib
#%{__rm} -fv %{buildroot}%{_libdir}/*.la
#
# missing directories
%{__install} -d -m 0755 %{buildroot}{%{pkg_logdir},%{pkg_home}}
%{__install} -D -m 0644 debian/varnish.logrotate %{buildroot}/etc/logrotate.d/varnish
%if 0%{?suse_version}
#
# init scripts
%{__install} -D -m 0644 %{S:3} %{buildroot}/var/adm/fillup-templates/sysconfig.%{name}
%{__install} -D -m 0755 %{S:2} %{buildroot}%{_sysconfdir}/init.d/%{name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}
#
# config files
%{__install} -D -m 0644 etc/vcl.conf %{buildroot}%{_sysconfdir}/%{name}/vcl.conf
%{__install} -D -m 0644 etc/vcl.conf %{buildroot}%{_sysconfdir}/%{name}/vcl.conf.example
%else
#
# init scripts
%{__install} -D -m 0644 redhat/varnish.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -D -m 0755 redhat/varnish.initrc    %{buildroot}%{_sysconfdir}/init.d/%{name}
#
# config files
%{__install} -D -m 0644 etc/default.vcl %{buildroot}%{_sysconfdir}/%{name}/vcl.conf
%{__install} -D -m 0644 etc/default.vcl %{buildroot}%{_sysconfdir}/%{name}/vcl.conf.example
# directorys
%{__install} -m 0755 -d %{buildroot}%{pkg_cachedir}
%endif

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r %{pkg_name} &>/dev/null ||:
/usr/sbin/useradd -g %{pkg_name} -s /bin/false -r -c "user for %{pkg_name}" -d %{pkg_home} %{pkg_name} &>/dev/null ||:

%if 0%{?suse_version}
%post
%fillup_and_insserv %{pkg_name}

%preun
%stop_on_removal %{pkg_name}

%postun
%restart_on_update %{pkg_name}
%{insserv_cleanup}
%else
# how to do the same for RH/mandriva?
%endif

%post -n libvarnish0 -p /sbin/ldconfig

%postun -n libvarnish0 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%if 0%{?suse_version}
%{_sbindir}/rc%{name}
/var/adm/fillup-templates/sysconfig.%{name}
%else
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%endif
%config(noreplace) %{_sysconfdir}/init.d/%{name}
#
%dir %attr(750,%{pkg_name},%{pkg_name}) %{_sysconfdir}/%{name}/
%config(noreplace) %attr(640,%{pkg_name},%{pkg_name}) %{_sysconfdir}/%{name}/vcl.conf
%config            %attr(640,%{pkg_name},%{pkg_name}) %{_sysconfdir}/%{name}/vcl.conf.example
#
%{_sbindir}/varnishd
%{_sbindir}/varnishhist
%{_sbindir}/varnishlog
%{_sbindir}/varnishncsa
%{_sbindir}/varnishstat
%{_sbindir}/varnishtop
%{_sbindir}/varnishadm
%{_sbindir}/varnishreplay
%{_mandir}/man1/varnishadm.1*
%{_mandir}/man1/varnishreplay.1*
%{_mandir}/man1/varnishd.1*
%{_mandir}/man1/varnishhist.1*
%{_mandir}/man1/varnishlog.1*
%{_mandir}/man1/varnishncsa.1*
%{_mandir}/man1/varnishstat.1*
%{_mandir}/man1/varnishtop.1*
%{_mandir}/man7/vcl.7*
%doc ChangeLog LICENSE README
%if ! 0%{?suse_version}
%doc redhat/README.redhat
%endif
%dir %attr(750,%{pkg_name},%{pkg_name}) %{pkg_home}
%dir %attr(750,%{pkg_name},%{pkg_name}) %{pkg_cachedir}
/etc/logrotate.d/varnish

%files -n libvarnish0
%defattr(-,root,root,-)
%{_libdir}/libvarnish.so.0
%{_libdir}/libvarnish.so.0.0.0
%{_libdir}/libvarnishapi.so.0
%{_libdir}/libvarnishapi.so.0.0.0
%{_libdir}/libvcl.so.0
%{_libdir}/libvcl.so.0.0.0
%{_libdir}/libvarnishcompat.so.0
%{_libdir}/libvarnishcompat.so.0.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/varnish/
%{_libdir}/pkgconfig/varnishapi.pc
%{_libdir}/libvarnish.la
%{_libdir}/libvarnishapi.la
%{_libdir}/libvcl.la
%{_libdir}/libvarnishcompat.la
%{_libdir}/libvarnish.so
%{_libdir}/libvarnishapi.so
%{_libdir}/libvcl.so
%{_libdir}/libvarnishcompat.so

%changelog
* Tue Apr  8 2008 cs@linux-administrator.com
- updated to 1.1.2
* Wed Jul 25 2007 mrueckert@suse.de
- updated to 1.1
* Tue Feb 20 2007 mrueckert@suse.de
- update to version 1.0.3
  Consistency issues with statistics and backend parameters were
  fixed. Parsing of -w command-line options was fixed. A
  short-lived DNS cache was added to avoid thrashing DNS servers
  when the backend fails.
* Sat Dec  2 2006 mrueckert@suse.de
- fixing build on sles9
- added files from the official rh4 rpm:
  o init scripts for non suse distros
  o the default configs for all distros
- added init/sysconfig script for suse.
- we create a user now. Remaining TODO item: how to run varnish as
  non root user on port 80?
* Sun Nov 19 2006 mrueckert@suse.de
- update to 1.0.2
